package com.tuoheng.admin.service.third.dsp;

import com.alibaba.fastjson.JSONObject;
import com.tuoheng.admin.entity.request.inspection.MissionStatusRequest;
import com.tuoheng.common.core.utils.JsonResult;

public interface IDspService {
    JSONObject serviceInstApplication(JSONObject jsonObject, String dspServiceInstId);

    JSONObject serviceStopApplication(JSONObject jsonObject);

    /**
     * 调用DSP进行AI分析
     *
     * @param missionStatusRequest
     * @return
     */
    JsonResult startAI(MissionStatusRequest missionStatusRequest, String dspServiceInstId);

    /**
     * 硬件停止后，停止AI分析
     *
     * @param msgId
     * @param inspectionId
     * @return
     */
    JsonResult stopAI(String msgId, String inspectionId);

    /**
     * 硬件停止后，调DSP开始录制
     *
     * @param missionStatusRequest
     * @return
     */
    JsonResult startRecord(MissionStatusRequest missionStatusRequest);

    /**
     * 硬件停止后，调DSP停止录制
     *
     * @param msgId
     * @return
     */
    JsonResult stopRecord(String msgId);

    /**
     * 硬件停止后，查询DSP录制信息
     *
     * @param msgId
     * @return
     */
    JsonResult queryRecord(String msgId);
}
